
// Color system
$base:                     #333333 !default;
$black:                    #000000 !default;
$white:                    #ffffff !default; 
$blue:                     #283896 !default;
$green:                    #a7b739 !default;
$sea-green:                #30A4A2 !default;


$cyan:                     #42aaff !default;
$red:                      #ff0000 !default;
$yellow:                   #ffff00 !default;
$purple:                   #8b00ff !default;
$gray:                     #808080 !default;


$font-size-reset:           10px;
$font-size-base:            1.6rem !default;
$line-height-base:          1.5 !default;
$content-well-max-width:    "none" !default; 

// Fonts
$font-family-base:          'Roboto', Arial, sans-serif !default;
$font-family-head:          'Montserrat', Arial, sans-serif !default;



// Grid
$grid-columns: 12 !default; 
$gutter: 1.5rem !default; 

$screen-xxs-min:                0 !default;
$screen-xs-min:                 375px !default;
$screen-sm-min:                 768px !default;
$screen-md-min:                 1024px !default;
$screen-lg-min:                 1330px !default;
$screen-xl-min:                 1600px !default;
$screen-xxl-min:                1800px !default;


$screen-xs-max:              ($screen-sm-min - 0.1) !default;
$screen-sm-max:              ($screen-md-min - 0.1) !default;
$screen-md-max:              ($screen-lg-min - 0.1) !default;
$screen-lg-max:              ($screen-xl-min - 0.1) !default;


$container-sm:               530px;
$container-md:               720px;
$container-lg:               1300px;
$container-xl:               1310px;



// Breakpoints
// Create breakpoint range statements to be used in media queries
$breakpoint-xs-only: "only screen and (max-width: #{$screen-xs-max})"; // 0 -> xs-max range

$breakpoint-sm-up: "only screen and (min-width: #{$screen-sm-min})"; // sm-start -> up range

$breakpoint-sm-only: "only screen and (min-width: #{$screen-sm-min}) and (max-width: #{$screen-sm-max})"; // sm-start -> sm-max range

$breakpoint-md-up: "only screen and (min-width: #{$screen-md-min})"; // md-start -> up range

$breakpoint-md-only: "only screen and (min-width: #{$screen-md-min}) and (max-width: #{$screen-md-max})"; // md-start -> md-max range

$breakpoint-lg-up: "only screen and (min-width: #{$screen-lg-min})"; // lg-start -> up range

$breakpoint-lg-only: "only screen and (min-width: #{$screen-lg-min}) and (max-width: #{$screen-lg-max})"; // lg-start -> lg-max range

$breakpoint-xl-up: "only screen and (min-width: #{$screen-xl-min})"; // xl-start -> up range

$breakpoints-all: ($breakpoint-xs-only, $breakpoint-sm-up, $breakpoint-sm-only, $breakpoint-md-up, $breakpoint-md-only, $breakpoint-lg-up, $breakpoint-lg-only, $breakpoint-xl-up);
$breakpoint-ups: ($breakpoint-sm-up, $breakpoint-md-up, $breakpoint-lg-up, $breakpoint-xl-up);
$breakpoint-all-prefixes: ("xs", "xs-only", "sm", "sm-only", "md", "md-only", "lg", "lg-only", "xl");
$breakpoint-up-prefixes: ("xs", "sm", "md", "lg", "xl");